import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileUncheckedCreateNestedManyWithoutFolderInputObjectSchema as CloudFileUncheckedCreateNestedManyWithoutFolderInputObjectSchema } from './CloudFileUncheckedCreateNestedManyWithoutFolderInput.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  name: z.string(),
  parentId: z.number().int().optional().nullable(),
  patientId: z.number().int().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional(),
  files: z.lazy(() => CloudFileUncheckedCreateNestedManyWithoutFolderInputObjectSchema).optional()
}).strict();
export const CloudFolderUncheckedCreateWithoutChildrenInputObjectSchema: z.ZodType<Prisma.CloudFolderUncheckedCreateWithoutChildrenInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderUncheckedCreateWithoutChildrenInput>;
export const CloudFolderUncheckedCreateWithoutChildrenInputObjectZodSchema = makeSchema();
